## ros-kinetic-phidgets-high-speed-encoder 0.7.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(phidgets_high_speed_encoder)

# Use C++11
if (CMAKE_VERSION VERSION_LESS "3.1")
    if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
        set(CMAKE_CXX_FLAGS "-std=gnu++11 ${CMAKE_CXX_FLAGS}")
    endif()
else()
    set (CMAKE_CXX_STANDARD 11)
endif()

# High level of warnings:
if (CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    add_compile_options(-Wall -Wextra)
endif()

find_package(catkin REQUIRED COMPONENTS nodelet phidgets_api phidgets_msgs pluginlib roscpp std_msgs sensor_msgs)

catkin_package(
    CATKIN_DEPENDS nodelet phidgets_api phidgets_msgs pluginlib roscpp std_msgs sensor_msgs
)

include_directories(include ${catkin_INCLUDE_DIRS})

add_library(phidgets_high_speed_encoder src/high_speed_encoder_ros_i.cpp)
add_library(phidgets_high_speed_encoder_nodelet src/phidgets_high_speed_encoder_nodelet.cpp)

add_executable(phidgets_high_speed_encoder_node src/phidgets_high_speed_encoder_node.cpp)

add_dependencies(phidgets_high_speed_encoder ${catkin_EXPORTED_TARGETS})
add_dependencies(phidgets_high_speed_encoder_nodelet ${catkin_EXPORTED_TARGETS})
add_dependencies(phidgets_high_speed_encoder_node ${catkin_EXPORTED_TARGETS})

target_link_libraries(phidgets_high_speed_encoder ${catkin_LIBRARIES})
target_link_libraries(phidgets_high_speed_encoder_nodelet ${catkin_LIBRARIES} phidgets_high_speed_encoder)
target_link_libraries(phidgets_high_speed_encoder_node ${catkin_LIBRARIES} phidgets_high_speed_encoder)

install(TARGETS phidgets_high_speed_encoder phidgets_high_speed_encoder_nodelet phidgets_high_speed_encoder_node
    ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
    DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
    FILES_MATCHING PATTERN "*.h"
)

install(FILES phidgets_high_speed_encoder_nodelet.xml
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-phidgets-high-speed-encoder (0.7.11-1xenial) xenial; urgency=high

  * high_speed_encoder: Use private node handle for params (#79 <https://github.com/ros-drivers/phidgets_drivers/issues/79>)
    Co-authored-by: Martin Günther <mailto:martin.guenther@dfki.de>
  * Contributors: Evan Davies

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 08 Apr 2021 22:00:00 -0000

ros-kinetic-phidgets-high-speed-encoder (0.7.10-1xenial) xenial; urgency=high

  * Update maintainers in package.xml
  * Run clang-format on the whole codebase.
  * Switch to C++14 everywhere.
  * Split custom messages into their own package.
  * Rewrite the high speed encoder node.
  * Change API from separate open/waitForAttachment to openAndWaitForAttachment.
  * Small cleanups throughout the code.
  * Style cleanup.
  * Switch to package format 2.
  * Contributors: Chris Lalancette, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 02 Jun 2020 22:00:00 -0000

ros-kinetic-phidgets-high-speed-encoder (0.7.9-1xenial) xenial; urgency=high



 -- Geoff Viola <geoffrey.viola@asirobots.com>  Thu, 27 Jun 2019 22:00:00 -0000

ros-kinetic-phidgets-high-speed-encoder (0.7.8-1xenial) xenial; urgency=high

  * phidgets_high_speed_encoder: fix missing tick2rad values (#30 <https://github.com/ros-drivers/phidgets_drivers/issues/30>)
  * Contributors: Charles Brian Quinn

 -- Geoff Viola <geoffrey.viola@asirobots.com>  Sun, 05 May 2019 22:00:00 -0000

ros-kinetic-phidgets-high-speed-encoder (0.7.7-1xenial) xenial; urgency=high



 -- Geoff Viola <geoffrey.viola@asirobots.com>  Mon, 17 Sep 2018 22:00:00 -0000

ros-kinetic-phidgets-high-speed-encoder (0.7.6-1xenial) xenial; urgency=high



 -- Geoff Viola <geoffrey.viola@asirobots.com>  Wed, 08 Aug 2018 22:00:00 -0000

ros-kinetic-phidgets-high-speed-encoder (0.7.5-1xenial) xenial; urgency=high



 -- Geoff Viola <geoffrey.viola@asirobots.com>  Tue, 30 Jan 2018 23:00:00 -0000

ros-kinetic-phidgets-high-speed-encoder (0.7.4-1xenial) xenial; urgency=high

  * Merge pull request #15 <https://github.com/ros-drivers/phidgets_drivers/issues/15> from jlblancoc/kinetic
    Add Phidgets high-speed encoder package
  * Contributors: Jose Luis Blanco-Claraco, Geoff Viola, Martin Günther

 -- Geoff Viola <geoffrey.viola@asirobots.com>  Tue, 03 Oct 2017 22:00:00 -0000

ros-kinetic-phidgets-high-speed-encoder (0.7.3-1xenial) xenial; urgency=high



 -- Geoff Viola <geoffrey.viola@asirobots.com>  Thu, 29 Jun 2017 22:00:00 -0000

ros-kinetic-phidgets-high-speed-encoder (0.7.2-1xenial) xenial; urgency=high



 -- Geoff Viola <geoffrey.viola@asirobots.com>  Thu, 01 Jun 2017 22:00:00 -0000

ros-kinetic-phidgets-high-speed-encoder (0.7.1-1xenial) xenial; urgency=high



 -- Geoff Viola <geoffrey.viola@asirobots.com>  Sun, 21 May 2017 22:00:00 -0000

ros-kinetic-phidgets-high-speed-encoder (0.7.0-1xenial) xenial; urgency=high



 -- Geoff Viola <geoffrey.viola@asirobots.com>  Fri, 17 Feb 2017 16:40:00 -0000

ros-kinetic-phidgets-high-speed-encoder (0.2.3-1xenial) xenial; urgency=high



 -- Geoff Viola <geoffrey.viola@asirobots.com>  Fri, 17 Feb 2017 11:11:00 -0000

ros-kinetic-phidgets-high-speed-encoder (0.2.2-1xenial) xenial; urgency=high



 -- Geoff Viola <geoffrey.viola@asirobots.com>  Sun, 22 Mar 2015 23:00:00 -0000

ros-kinetic-phidgets-high-speed-encoder (0.2.1-1xenial) xenial; urgency=high



 -- Geoff Viola <geoffrey.viola@asirobots.com>  Wed, 14 Jan 2015 23:00:00 -0000

=== debian/control ===
Source: ros-kinetic-phidgets-high-speed-encoder
Section: misc
Priority: optional
Maintainer: Martin Günther <martin.guenther@dfki.de>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-nodelet, ros-kinetic-phidgets-api, ros-kinetic-phidgets-msgs, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-phidgets-high-speed-encoder
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-nodelet, ros-kinetic-phidgets-api, ros-kinetic-phidgets-msgs, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs
Description: Driver for the Phidgets high speed encoder devices

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-phidgets-high-speed-encoder//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
